Skip to main content
GET
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
analyseSettings
Get analyse settings
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/analyseSettings \
  --header 'Authorization: <api-key>'
{
  "type": "PreAnalyse",
  "includeConfirmedSegments": true,
  "includeNotConfirmedSegments": true,
  "includeNumbers": true,
  "includeLockedSegments": true,
  "countSourceUnits": true,
  "includeTransMemory": true,
  "namingPattern": "<string>",
  "analyzeByLanguage": true,
  "analyzeByProvider": true,
  "allowAutomaticPostAnalysis": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectTemplateUid
string
required

Response

OK

Base analyseSettingsDto

type
enum<string>
required

Response differs based on analyse type

Available options:
PreAnalyse,
PostAnalyse,
PreAnalyseTarget,
Compare
includeConfirmedSegments
boolean

Default: false

includeNotConfirmedSegments
boolean

Default: false

includeNumbers
boolean

Default: false

includeLockedSegments
boolean

Default: false

countSourceUnits
boolean

Default: false

includeTransMemory
boolean

Default: false

namingPattern
string
analyzeByLanguage
boolean

Default: false

analyzeByProvider
boolean

Default: false

allowAutomaticPostAnalysis
boolean

If automatic post analysis should be created after update source. Default: false